# cv::FernClassifier::Feature Struct Reference

`#include <features2d.hpp>`

List of all members.

## Public Member Functions

| Feature ()
| Feature (int _x1, int _y1, int _x2, int _y2)
template<typename _Tp >
bool | operator() (const Mat_< _Tp > &patch) const

## Public Attributes

uchar | x1
uchar | x2
uchar | y1
uchar | y2

## Constructor & Destructor Documentation

cv::FernClassifier::Feature::Feature | ( | ) | `[inline]`

cv::FernClassifier::Feature::Feature | ( | int | _x1,
|  | int | _y1,
|  | int | _x2,
|  | int | _y2
| ) |  | `[inline]`

## Member Function Documentation

template<typename _Tp >

bool cv::FernClassifier::Feature::operator() | ( | const Mat_< _Tp > & | patch ) | const`[inline]`

## Member Data Documentation

uchar cv::FernClassifier::Feature::x1

uchar cv::FernClassifier::Feature::x2

uchar cv::FernClassifier::Feature::y1

uchar cv::FernClassifier::Feature::y2

The documentation for this struct was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines